%define major 7
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

%define name    gucharmap

Summary: 	A Unicode character map and font viewer
Name: 		%{name}
Version: 	10.0.1
Release: 	%mkrel 1
License: 	GPL
Group: 		Publishing
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL: 		http://gucharmap.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	libgnomeui2-devel >= 2.5.90.1
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Obsoletes: libgucharmap7 
Provides: libgucharmap7 = %version-%release
Obsoletes: 	%{name} < %version


%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

#german
%description -l de
gucharmap ist ein Unicode / ISO 10646 Charakter-und Font-Viewer anzeigen. Es
unterstützt Anti-Aliasing, skalierbare TrueType-Schriften in X, mit Xft und
Arbeiten auf Unix-und Windows-Plattformen.


%package devel
Summary: Headers for developing programs that will use gucharmap
Group: Development/Libraries
Requires: %name = %{version}
Provides: %name-devel = %{version}-%{release}
Requires: libgnomeui2-devel
Obsoletes: %mklibname %name -d 5
Obsoletes: libgucharmap-devel
Provides: lib%name-devel = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build
%configure2_5x \
	--with-gtk=3.0 \
	--enable-introspection \
	--disable-static \
    --with-unicode-data=download
    
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

perl -pi -e "s|Icon=accessories-character-map|Icon=gucharmap.png|" %buildroot/%_datadir/applications/gucharmap.desktop

# I hate generic names in menu
perl -pi -e "s|Character Map|GuCharacter Map|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop



# install and resize icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%_liconsdir/%name.png
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%_iconsdir/%name.png 
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%_miconsdir/%name.png

# we don't want these
find %{buildroot} -name "*.a" -exec rm -rf {} \;
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%{find_lang} %{name}

%post
/sbin/ldconfig
%update_scrollkeeper
%update_menus
 
%postun
/sbin/ldconfig
%clean_scrollkeeper
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc ChangeLog TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%_libdir/libgucharmap_2_90.so.%{major}*
%{_libdir}/girepository-1.0/Gucharmap-*.typelib
%{_datadir}/help
%{_datadir}/glib-2.0/schemas/org.gnome.Charmap.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Charmap.gschema.xml
%{_datadir}/metainfo/gucharmap.appdata.xml

%files devel
%defattr (-,root,root)
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%{_datadir}/gir-1.0/Gucharmap-*.gir

%changelog
* Mon Oct 02 2017 bb2 <bb2> - 10.0.1-1pclos2017
- new version

